MainTaxonomicRankEnum (gCube Species Discovery 3.3.0-SNAPSHOT API)
Date: 2013-07-19

org.gcube.portlets.user.speciesdiscovery.shared

## Enum MainTaxonomicRankEnum

- java.lang.Object
- - java.lang.Enum<MainTaxonomicRankEnum>
  - - org.gcube.portlets.user.speciesdiscovery.shared.MainTaxonomicRankEnum

- All Implemented Interfaces:
    Serializable, Comparable<MainTaxonomicRankEnum>

      public enum MainTaxonomicRankEnum
      extends Enum<MainTaxonomicRankEnum>

  Author:
    "Federico De Faveri defaveri@isti.cnr.it"

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CLASS`
    `FAMILY`
    `GENUS`
    `KINGDOM`
    `ORDER`
    `PHYLUM`
    `SPECIES`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected String` | `label`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getLabel()`
    `static List<String>` | `getListLabels()`
    `static MainTaxonomicRankEnum` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static MainTaxonomicRankEnum` | `valueOfLabel(String label)`
    `static MainTaxonomicRankEnum[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### KINGDOM

          public static final MainTaxonomicRankEnum KINGDOM

    - #### PHYLUM

          public static final MainTaxonomicRankEnum PHYLUM

    - #### CLASS

          public static final MainTaxonomicRankEnum CLASS

    - #### ORDER

          public static final MainTaxonomicRankEnum ORDER

    - #### FAMILY

          public static final MainTaxonomicRankEnum FAMILY

    - #### GENUS

          public static final MainTaxonomicRankEnum GENUS

    - #### SPECIES

          public static final MainTaxonomicRankEnum SPECIES

  - ### Field Detail

    - #### label

          protected String label

  - ### Method Detail

    - #### values

          public static MainTaxonomicRankEnum[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (MainTaxonomicRankEnum c : MainTaxonomicRankEnum.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static MainTaxonomicRankEnum valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getLabel

          public String getLabel()

      Returns:
        the label

    - #### getListLabels

          public static List<String> getListLabels()

    - #### valueOfLabel

          public static MainTaxonomicRankEnum valueOfLabel(String label)

Copyright © 2013. All Rights Reserved.